Subject: bug#20431: closed (Re: bug#20431: emacs-24.5 segfaults with gnutls-3.4.0)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Dec 2015 15:18:02 +0000

Your bug report

#20431: emacs-24.5 segfaults with gnutls-3.4.0

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20431: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20431
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20431: emacs-24.5 segfaults with gnutls-3.4.0
From: Ted Zlatanov <[email-masked]>
To: Fernando de Oliveira <[email-masked]>
Cc: [email-masked]
Date: Tue, 22 Dec 2015 10:17:28 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, 21 Dec 2015 14:46:24 -0300 Fernando de Oliveira <[email-masked]> wrote: 

FdO> I've built a new system (Linux From Scratch SVN-20151002), without
FdO> stripping the tool-chain, for debugging purposes and tested this problem
FdO> today. To my surprise, the problem is gone.
...
FdO> It may be some problem with the older system.

FdO> Please, do I need to do anything else to close this bug?

I think it's closed by now, but doing it here explicitly since I'm
replying anyhow.

Thank you for the bug report, and I'm glad it's working for you now.

Ted

Subject: emacs-24.5 segfaults with gnutls-3.4.0
From: Fernando de Oliveira <[email-masked]>
To: Bug Emacs <[email-masked]>
Date: Sun, 26 Apr 2015 14:23:46 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am having this segfault problem and could not solve by myself.

Used:

./configure --prefix=/usr --localstatedir=/var

make bootstrap

Build log tail with the error (I1ve replaced "Falha de segmentação" by
"Segmentation fault":

{{{
Loading /tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/uniquify.el
(source)...
Loading /tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/electric.el
(source)...
Loading /tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/tooltip.el
(source)...
Finding pointers to doc strings...
Finding pointers to doc strings...done
Dumping under the name emacs
91123 pure bytes used
/bin/sh: line 7:  9509 Segmentation fault  ./temacs --batch --load
loadup bootstrap
Makefile:815: recipe for target 'bootstrap-emacs' failed
make[2]: *** [bootstrap-emacs] Error 1
make[2]: Leaving directory
'/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/src'
Makefile:387: recipe for target 'src' failed
make[1]: *** [src] Error 2
make[1]: Leaving directory '/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5'
Makefile:1099: recipe for target 'bootstrap' failed
make: *** [bootstrap] Error 2
}}}

Part of the gdb output (removed lines I thought to be repetitive, but
can send everything, if requested):

{{{
$ gdb temacs
GNU gdb (GDB) 7.9
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from temacs...done.
warning: File
"/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/src/.gdbinit"
auto-loading has been declined by your `auto-load safe-path' set to
"$debugdir:$datadir/auto-load".
To enable execution of this file add
	add-auto-load-safe-path
/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/src/.gdbinit
line to your configuration file "/home/fernando/.gdbinit".
To completely disable this security protection add
	set auto-load safe-path /
line to your configuration file "/home/fernando/.gdbinit".
For more information about this security protection see the
"Auto-loading safe path" section in the GDB manual.  E.g., run from the
shell:
	info "(gdb)Auto-loading safe path"
(gdb) set args --batch --load loadup bootstrap
(gdb) run
Starting program:
/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/src/temacs --batch
--load loadup bootstrap
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
process 17814 is executing new program:
/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/src/temacs
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Loading loadup.el (source)...
Using load-path (/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp
/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/emacs-lisp
/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/language
/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/international
/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/textmodes
/tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/vc)
Loading emacs-lisp/byte-run (source)...
Loading emacs-lisp/backquote (source)...
Loading subr (source)...
Loading version (source)...
Loading widget (source)...
Loading custom (source)...
Loading emacs-lisp/map-ynp (source)...
Loading international/mule (source)...
Loading international/mule-conf (source)...
Loading env (source)...
Loading format (source)...
Loading bindings (source)...
Loading cus-start (source)...
Loading window (source)...
Loading /tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/files.el
(source)...

... snip ..

Loading /tmp/porg-build-2015.04.26-12h00m39s/emacs-24.5/lisp/tooltip.el
(source)...
Finding pointers to doc strings...
Finding pointers to doc strings...done
Dumping under the name emacs
91123 pure bytes used

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff0ef2f24 in free () from /lib/libc.so.6
(gdb) bt
#0  0x00007ffff0ef2f24 in free () from /lib/libc.so.6
#1  0x00007ffff168e84b in _gnutls_ext_deinit () at gnutls_extensions.c:399
#2  0x00007ffff1695a40 in _gnutls_global_deinit (destructor=1)
    at gnutls_global.c:385
#3  0x00007ffff7dea727 in _dl_fini () from /lib64/ld-linux-x86-64.so.2
#4  0x00007ffff0eadd92 in __run_exit_handlers () from /lib/libc.so.6
#5  0x00007ffff0eadde5 in exit () from /lib/libc.so.6
#6  0x00000000004e7dec in Fkill_emacs (arg=<optimized out>) at emacs.c:1970
#7  0x0000000000557771 in eval_sub (form=<optimized out>) at eval.c:2181
#8  0x0000000000557b85 in Fprogn (body=140737238883328) at eval.c:462
#9  0x00000000005577c6 in eval_sub (form=<optimized out>) at eval.c:2131
#10 0x00000000005577c6 in eval_sub (form=form@entry=12540550) at eval.c:2131
#11 0x000000000057a4e3 in readevalloop (readcharfun=12398610,
stream=0xc06100,
    sourcename=12603889, printflag=false, unibyte=<optimized out>,
    readfun=12279666, start=12279666, end=12279666) at lread.c:1934
#12 0x000000000057b2ba in Fload (file=140737238883328, noerror=0,
    nomessage=12279666, nosuffix=12603889, must_suffix=0) at lread.c:1363
#13 0x0000000000557715 in eval_sub (form=form@entry=12540438) at eval.c:2195
#14 0x00000000005599d4 in Feval (form=12540438, lexical=<optimized out>)
    at eval.c:1996
#15 0x00000000005566a7 in internal_condition_case (
    bfun=bfun@entry=0x4e83a0 <top_level_2>, handlers=<optimized out>,
    hfun=hfun@entry=0x4ecb80 <cmd_error>) at eval.c:1348
#16 0x00000000004e8376 in top_level_1 (ignore=ignore@entry=12279666)
    at keyboard.c:1195
---Type <return> to continue, or q <return> to quit---
#17 0x000000000055658b in internal_catch (tag=12326946,
    func=func@entry=0x4e8310 <top_level_1>, arg=12279666) at eval.c:1112
#18 0x00000000004ec77f in command_loop () at keyboard.c:1156
#19 recursive_edit_1 () at keyboard.c:778
#20 0x00000000004ecab0 in Frecursive_edit () at keyboard.c:849
#21 0x00000000004199a9 in main (argc=12603633, argv=0x7fffffffdec8)
    at emacs.c:1642
}}}

-- 
[]s,
Fernando